Cocoon API: Class SunXMLParser

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.parser
Class SunXMLParser

    java.lang.Object
      |
      +--org.apache.cocoon.parser.AbstractParser
            |
            +--org.apache.cocoon.parser.SunXMLParser

All Implemented Interfaces:
  Configurable, org.xml.sax.ErrorHandler, Parser, Status

public class SunXMLParser
extends AbstractParser
implements Status

This class implements an XML parser using the Sun ProjectX parser 'Technology Release 1'.

Version:
  $Revision: 1.6 $ $Date: 2000/04/04 13:43:57 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.parser.AbstractParser
`validation`

Constructor Summary
`SunXMLParser()`

Method Summary
`org.w3c.dom.Document` | `createEmptyDocument()` Creates an empty DOM tree.
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource input, boolean validate)` Creates a DOM tree parsing the given input source.

Methods inherited from class org.apache.cocoon.parser.AbstractParser
`error, fatalError, init, parse, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunXMLParser

    public SunXMLParser()

Method Detail

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource input,
                                      boolean validate)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Creates a DOM tree parsing the given input source.

### createEmptyDocument

    public org.w3c.dom.Document createEmptyDocument()

  Creates an empty DOM tree.

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.